Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::TLS::Record Class Reference

`#include <tls_record.h>`

## Public Member Functions
secure_vector< uint8_t > & | get_data ()
Protocol_Version * | get_protocol_version ()
uint64_t * | get_sequence ()
size_t & | get_size ()
Record_Type * | get_type ()
| Record (secure_vector< uint8_t > &data, uint64_t *sequence, Protocol_Version *protocol_version, Record_Type *type)

## Detailed Description

Definition at line 75 of file tls_record.h.

## Constructor & Destructor Documentation

Botan::TLS::Record::Record | ( | secure_vector< uint8_t > & | data,
|  | uint64_t * | sequence,
|  | Protocol_Version * | protocol_version,
|  | Record_Type * | type
| ) |  |
| inline

Definition at line 78 of file tls_record.h.

82 : m_data(data), m_sequence(sequence), m_protocol_version(protocol_version),
83 m_type(type), m_size(data.size()) {}
type
MechanismType type
Definition: p11_mechanism.cpp:43

## Member Function Documentation

secure_vector<uint8_t>& Botan::TLS::Record::get_data | ( |  | ) |
| inline

Definition at line 85 of file tls_record.h.

85 { return m_data; }

Protocol_Version* Botan::TLS::Record::get_protocol_version | ( |  | ) |
| inline

Definition at line 87 of file tls_record.h.

87 { return m_protocol_version; }

uint64_t* Botan::TLS::Record::get_sequence | ( |  | ) |
| inline

Definition at line 89 of file tls_record.h.

89 { return m_sequence; }

size_t& Botan::TLS::Record::get_size | ( |  | ) |
| inline

Definition at line 93 of file tls_record.h.

93 { return m_size; }

Record_Type* Botan::TLS::Record::get_type | ( |  | ) |
| inline

Definition at line 91 of file tls_record.h.

91 { return m_type; }

The documentation for this class was generated from the following file:

- src/lib/tls/tls_record.h